Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.elements.table
Class LayoutGroup

    java.lang.Object
      org.eclipse.birt.report.model.api.elements.table.LayoutGroup

    public class LayoutGroup

extends java.lang.Object

The table group model for a `TableGroup` element.

Constructor Summary
`protected` | `LayoutGroup(LayoutTable table, int groupLevel)` Constructs a `LayoutGroup` with the given table and the group level.

Method Summary
`TableGroupHandle` | `getGroup()` Returns the corresponding handle of the table group.
`LayoutSlot` | `getLayoutSlotFooter()` Returns the layout slot of the HEADER_FOOTER.
`LayoutSlot` | `getLayoutSlotHeader()` Returns the layout slot of the HEADER_SLOT.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LayoutGroup

    protected LayoutGroup(LayoutTable table,
                          int groupLevel)

  Constructs a `LayoutGroup` with the given table and the group level.

  Parameters:
    `table` - the layout table
    `groupLevel` - the level of the group

Method Detail

### getGroup

    public TableGroupHandle getGroup()

  Returns the corresponding handle of the table group.

  Returns:
    the corresponding handle of the table group

### getLayoutSlotHeader

    public LayoutSlot getLayoutSlotHeader()

  Returns the layout slot of the HEADER_SLOT.

  Returns:
    the layout slot of the HEADER_SLOT

### getLayoutSlotFooter

    public LayoutSlot getLayoutSlotFooter()

  Returns the layout slot of the HEADER_FOOTER.

  Returns:
    the layout slot of the HEADER_FOOTER

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.